## tasksel 3.07

=== debian/changelog ===
tasksel (3.07) unstable; urgency=low

  * Team upload
  * Changes requested by the GNOME maintenance team for GNOME 3
    transition. Closes: #646741. That includes the following changes in
    gnome tasks:
    - a typo fix in the package description
    - gdm3  being dropped from Depends, as it is a dependency of gnome-core
      now.
    - gnome-accessibility no longer exists as a separate meta-package. Its
      functionality will be merged into gnome-core directly.
    - gnome-desktop-environment is a transitional package, which has been
      replaced by gnome, so drop it.
    - iceweasel-gnome-support no longer exists, its functionality has been
      merged into iceweasel, so drop it.
    - the gnome meta-package already depends on inkscape, so drop it.
    - the gnome-core meta-package already depends on epiphany-browser, so
      drop it.

 -- Christian Perrier <bubulle@debian.org>  Sat, 05 Nov 2011 18:04:25 +0100

tasksel (3.06) unstable; urgency=low

  [ Joey Hess ]
  * Remove the now empty task overrides file.
  * Add Vcs-Browser field. Closes: #636209

  [ Christian Perrier ]
  * Recommend cifs-utils in task-file-server instead of deprecated smbfs
    Closes: #638606

  [ Yves-Alexis Perez ]
  * debian/control:
    - switch Xfce login manager to LightDM now that it has reached testing.

  [ Translations of tasks ]
  * Sinhala (Danishka Navin). Closes: #640761

  [ Translations of debconf templates ]
  * Sinhala (Danishka Navin). Closes: #640761

  [ Translations of programs ]
  * Sinhala (Danishka Navin). Closes: #640761

  [ Kenshi Muto ]
  * Update task-japanese, task-japanese-desktop and task-japanese-kde-desktop.
    - task-japanese: remove obsolete package: doc-linux-ja-text.
    - task-japanese-desktop: remove obsolete package: doc-linux-ja-html and
      ttf-sazanami-*.
      replace package: ttf-vlgothic with fonts-vlgothic,
      otf-ipafont with fonts-ipafont.
    - task-japanese-kde-desktop: replace package: uim-applet-kde with
      plasma-widget-uim.

 -- Joey Hess <joeyh@debian.org>  Fri, 04 Nov 2011 17:07:22 -0400

tasksel (3.05) unstable; urgency=low

  * Fix logic error.
  * Avoid installing kazakh-desktop by default when desktop task is selected.

 -- Joey Hess <joeyh@debian.org>  Tue, 26 Jul 2011 14:01:28 +0200

tasksel (3.04) unstable; urgency=low

  * Avoid installation of task-portuguese in pt_BR locale. Closes: #627108
  * Add lxde suggested packages lxtask and lxlauncher.

 -- Joey Hess <joeyh@debian.org>  Sat, 16 Jul 2011 14:52:56 -0400

tasksel (3.03) unstable; urgency=low

  * Upload to unstable.
  * Re-enabled the byhand overrides file, which was disabled while in
    experimental.

 -- Joey Hess <joeyh@debian.org>  Sun, 15 May 2011 19:59:02 -0400

tasksel (3.02) experimental; urgency=low

  * Team upload

  [ Christian Perrier ]
  * Drop ttf-devanagari-fonts from the hindi task. It belongs to
    hindi-desktop
  * Fix spelling in French translation of tasks
  
  [ Rene Engelhard ]
  * update tasks for openoffice.org-* -> libreoffice-*. Closes: #623769
  * add libreoffice-help-sk to slovak-desktop
  * add hyphen-en-us to desktop

  [ Timur Birsh ]
  * Add Kazakh environment task. Closes: #620816

  [ Joey Hess ]
  * Typo fix. Closes; #622825
  * gdm is gone, and gdm3 pulls in much gnome, so for lxde and xfce,
    use xdm. This is provisional, pending changes in the lxde and xfce
    dependencies. Closes: #506406

 -- Christian Perrier <bubulle@debian.org>  Sat, 23 Apr 2011 07:52:28 +0200

tasksel (3.01) experimental; urgency=low

  * Upload without byhand override file as that is not supported for
    experimental.

 -- Joey Hess <joeyh@debian.org>  Wed, 02 Mar 2011 15:17:46 -0400

tasksel (3.00) experimental; urgency=low

  [ Joey Hess ]
  * Task packages are back! For now, the task-* metapackages are only
    used to hold Depends, Recommends, and Description; all other task
    info that tasksel uses remains in debian-tasks.desc. Plan is to
    migrate the rest into the task packages later, where possible.
  * FTP-master: I've put the task packages in a new section, "tasks",
    which I hope you'll approve & create.
  * Translators: DDTP translations of task packages are now displayed
    by tasksel, so it's important that the (visible) tasks' descriptions
    be translated there.
  * Don't generate Task field overrides for tasks that have only Key
    packages. In other words, the Task field overrides are not needed,
    and are going away. The overrides file uploaded with this version
    of tasksel is empty.
  * Tasksel no longer looks for desc files in /usr/share/taksel/,
    instead it looks in /usr/share/taksel/descs/. This was necessary
    because aptitude crashes on the new debian-tasks.desc file without
    Description fields.
  * Remove rarian-compat from task-gnome-desktop. Dependencies on
    scrollkeeper should default to rarian-compat by now.
  * Moved iceweasel to Recommends of task-desktop; was in Key/Depends.
  * Moved acpid to Recommends of task-laptop from Depends, anticipating
    kFreeBSD laptops.
  * Removed unnecessary Recommends of xfonts-base, which is included
    in X anyway, and lintian complains about.
  * Updated to debhelper v8.

  [ Christian Perrier ]
  * Replace aspell-fi by libenchant-voikko in finnish task
    Closes: #585840

  [ Translations of tasks ]
  * Nepali (shyam krishna bal).  Closes: #615007

 -- Joey Hess <joeyh@debian.org>  Sun, 27 Feb 2011 00:04:29 -0400

tasksel (2.89) unstable; urgency=low

  [ Joey Hess ]
  * kde-desktop: Add kdeaccessibility. Closes: #610790

  [ Otavio Salvador ]
  * gnome-desktop: drop xsane since gnome meta-package depends on
    simple-scan. Closes: #611951.
  * hungarian-desktop: use hunspell-hu instead of myspell-hu to fix
    spell checking on Iceweasel and OpenOffice. Thanks to Szabolcs
    Siebenhofer <the7up@gmail.com> for the patch. Closes: #611937.

  [ Christian Perrier ]
  * Replace myspell-hu by hunspell-hu in hungarian task
    Closes: #611937


