=== debian/control ===
Source: tasksel
Section: tasks
Priority: optional
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Joey Hess <joeyh@debian.org>, Otavio Salvador <otavio@debian.org>
Standards-Version: 3.9.2
Build-Depends: po-debconf, debhelper (>= 8), gettext, dpkg-dev (>= 1.9.0)
Vcs-Git: git://git.debian.org/git/tasksel/tasksel.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=tasksel/tasksel.git

Package: tasksel
Section: admin
Priority: important
Architecture: all
Pre-Depends: debconf (>= 1.5.34) | cdebconf (>= 0.106)
Depends: ${misc:Depends}, ${perl:Depends}, liblocale-gettext-perl, aptitude (>= 0.2.15-1), tasksel-data
Conflicts: debconf (<< 1.4.27), base-config (<< 2.32)
Description: Tool for selecting tasks for installation on Debian systems
 This package provides 'tasksel', a simple interface for users who
 want to configure their system to perform a specific task.

Package: tasksel-data
Section: admin
Priority: important
Architecture: all
Depends: ${misc:Depends}, tasksel
Recommends: laptop-detect
Conflicts: tasksel (<< 2.67)
Description: Official tasks used for installation of Debian systems
 This package contains data about the standard tasks available on a Debian
 system.

Package: task-desktop
Architecture: all
Description: Debian desktop environment
 This task package is used to install the Debian desktop.
Depends: ${misc:Depends}, 
	xorg,
	xserver-xorg-video-all,
	xserver-xorg-input-all,
	desktop-base,
	menu
Recommends:
# The default desktop is gnome, but any can be used with this task.
	task-gnome-desktop | task-kde-desktop | task-lxde-desktop | task-xfce-desktop,
# firefox (ne iceweasel) is the most popular web browser at the moment,
# although both gnome and kde offer their own too
	iceweasel,
# the gimp is the best image editor, no matter the desktop
	gimp,
# libreoffice is the best word processor / office suite at the moment
	libreoffice,
	libreoffice-gcj,
# make help menu work
	libreoffice-help-en-us,
# make thesaurus work
	mythes-en-us,
# make spellchecker work
	myspell-en-us,
# make hyphenation work
	hyphen-en-us,
# For use by third-party apps.
	xdg-utils,
# mdns/zeroconf stuff
	avahi-daemon,
	libnss-mdns,
# desktop machines might not be up 24/7
	anacron,
# The following packages are the same as the packages in the
# print-server task and provide printing via CUPS.
	cups,
	cups-client,
	cups-bsd,
	foomatic-db-engine,
	cups-driver-gutenprint,
	hpijs,
	hplip,
	hp-ppd,
	foo2zjs,
# gui for configuration of the print server
	system-config-printer,
# CPU frequency scaling
	cpufrequtils,
# Warn about and allow reporting kernel oopses.
	kerneloops,
# 3d acceleration (with free drivers)
	libgl1-mesa-dri,
# Make sure that CDs etc can be ejected. May not be installed by d-i.
	eject,
# sound
	alsa-utils,
	alsa-base,
# flash -- Note that gnome recommends browser-plugin-gnash;
# if this is changed here to a different flash player, it should
# also be changed there.
	browser-plugin-gnash,
# ensure pm-utils is available
	pm-utils

Package: task-gnome-desktop
Architecture: all
Description: GNOME desktop environment
 This task package is used to install the Debian desktop, featuring
 the GNOME desktop environment, and with other packages that Debian users
 expect to have available on the desktop.
Depends: ${misc:Depends}, 
	task-desktop,
# only depend on a very minimal gnome desktop, to ensure it fits on CD1
	gnome-core
Recommends:
# The full gnome desktop environment should be included if possible
# even if the larger gnome metapackage doesn't fit.
	gnome,
# GNOME support in LibreOffice
	libreoffice-gnome,
	libreoffice-evolution

Package: task-kde-desktop
Architecture: all
Description: KDE desktop environment
 This task package is used to install the Debian desktop, featuring
 the KDE desktop environment, and with other packages that Debian users
 expect to have available on the desktop.
Depends: ${misc:Depends}, 
	task-desktop,
	kde-standard,
	kdm
Recommends:
# accessibility support
	kdeaccessibility,
# enable debian menus
	menu-xdg,
# package management. Need something here, but please, no kpackage.
#  kpackage,
# debconf kde frontend
	libqtgui4-perl,
	libqtcore4-perl,
# cd/dvd burner
	k3b,
	k3b-i18n,
# desktop network setup
	network-manager-kde,
# This is configured by d-i to be used to gain root on systems with
# no root password. It is not enabled by default.
	kdesudo,
# KDE-OpenOffice integration
	libreoffice-kde

Package: task-lxde-desktop
Architecture: all
Description: LXDE desktop environment
 This task package is used to install the Debian desktop, featuring
 the LXDE desktop environment, and with other packages that Debian users
 expect to have available on the desktop.
Depends: ${misc:Depends}, 
	task-desktop,
# The basics of lxde, not the whole thing.
	lxde-core,
# A display manager is a recommend of lxde,
# but put here to ensure it's available
	xdm
Recommends:
	lxde,
	lxtask,
	lxlauncher,
	xsane

Package: task-xfce-desktop
Architecture: all
Description: XFCE desktop environment
 This task package is used to install the Debian desktop, featuring
 the XFCE desktop environment, and with other packages that Debian users
 expect to have available on the desktop.
Depends: ${misc:Depends}, 
	task-desktop,
# The basics of xfce, not the whole thing.
	xfce4,
	lightdm
Recommends:
# well known xfce4 enhancements
	xfce4-goodies,
# xfce text editor  
	mousepad,
# calendar application  
	orage,
	xfce4-mixer,
	xfprint4,
	xfce4-terminal,
	libreoffice-gtk,
# Xfce Desktop is really improved by using dbus
	dbus-x11,
# Support for scanners
	xsane,
# media players
	vlc,
	quodlibet,
# pdf viewer
	epdfview,
# icon theme
	tango-icon-theme,
	xfce4-power-manager,
# network management
	wicd

Package: task-laptop
Architecture: all
Description: Laptop
 This task package installs software useful for a laptop.
Depends: ${misc:Depends}, 
	anacron
Recommends:
	acpid,
	apmd,
	acpi,
	acpi-support,
	pcmciautils,
	wireless-tools,
	wpasupplicant,
	cpufrequtils,
	avahi-autoipd,
	bluetooth,
	powertop,
	pm-utils

Package: task-web-server
Architecture: all
Description: Web server
 This task selects packages useful for a general purpose web server
 system.
Depends: ${misc:Depends}, 
	apache2-mpm-prefork
Recommends:
	apache2-doc,
	libapache2-mod-php5,
	libapache2-mod-perl2,
	libapache2-mod-python,
	analog

Package: task-mail-server
Architecture: all
Description: Mail server
 This task selects a variety of packages useful for a general purpose mail
 server system.
Depends: ${misc:Depends}, 
	exim4
Recommends:
# HELP: What's a good pop server?
	qpopper,
	mailx,
	mutt,
	exim4-daemon-light,
	exim4-config,
	procmail,
	mailagent,
	uw-imapd,
# HELP: what about some webmail thing?
	spamassassin,
	sa-exim,

Package: task-dns-server
Architecture: all
Description: DNS Server
 This task selects the BIND DNS server, and related documentation and
 utility packages.
Depends: ${misc:Depends}, 
	bind9
Recommends:
	bind9-doc,
	dnsutils,
	lwresd,
	dlint

Package: task-print-server
Architecture: all
Description: Print server
 This task sets up your system to be a print server.
Depends: ${misc:Depends}, 
	cups,
	cups-client,
	cups-bsd
Recommends:
	foomatic-db-engine,
	cups-driver-gutenprint,
	hpijs,
	hplip,
	hp-ppd,
	foo2zjs,
# Note that this is not included in the desktop task, since it only
# supports high-end postcript printers.
	openprinting-ppds

Package: task-ssh-server
Architecture: all
Description: SSH server
 This task sets up your system to be remotely accessed through SSH
 connections.
Depends: ${misc:Depends}, 
	openssh-server
Recommends:

Package: task-database-server
Architecture: all
# HELP: Would "relational database server" be a better short desk?
# HELP: the folks on #debian-devel think if you want a db server, you
# probably want to pick between postgres and mysql. Should this task live?
Description: SQL database
 This task selects client and server packages for the PostgreSQL database.
 .
 PostgreSQL is an SQL relational database, offering increasing SQL92
 compliance and some SQL3 features.  It is suitable for use with multi-user
 database access, through its facilities for transactions and fine-grained
 locking.
Depends: ${misc:Depends}, 
	postgresql
Recommends:
	postgresql-client,
	postgresql-doc,
	postgresql-contrib

Package: task-file-server
Architecture: all
Description: File server
 This task sets up your system to be a file server, supporting both CIFS
 and NFS.
Depends: ${misc:Depends}, 
	nfs-kernel-server,
	samba
Recommends:
	samba-doc,
	smbclient,
	swat,
	cifs-utils,
	winbind,
	smartmontools

Package: task-finnish
Architecture: all
Description: Finnish environment
 This task installs packages and documentation in Finnish
 to help Finnish speaking people use Debian.
Depends: ${misc:Depends}, 
Recommends:
	tmispell-voikko,
	voikko-fi,
	libenchant-voikko

Package: task-albanian-desktop
Architecture: all
Description: Albanian desktop
 This task localises the desktop in Albanian.
Depends: ${misc:Depends}, 
Recommends:
	iceweasel-l10n-sq

Package: task-amharic
Architecture: all
Description: Amharic environment
 This task installs programs, data files, fonts, and
 documentation that makes it easier for Amharic speakers
 to use Debian.
Depends: ${misc:Depends}, 
Recommends:
	aspell-am

Package: task-amharic-desktop
Architecture: all
Description: Amharic desktop
 This task localises the desktop in Amharic.
Depends: ${misc:Depends}, 
	ttf-sil-abyssinica
Recommends:
	scim-tables-additional

Package: task-amharic-kde-desktop
Architecture: all
Description: Amharic KDE desktop
 This task localises the KDE desktop in Amharic.
Depends: ${misc:Depends}, 
Recommends:

Package: task-arabic
Architecture: all
Description: Arabic environment
 This task installs programs, data files, fonts, and
 documentation that makes it easier for Arabic speakers
 to use Debian.
Depends: ${misc:Depends}, 
Recommends:
	xfonts-intl-arabic,
	ttf-arabeyes,
	aspell-ar,
	aspell-ar-large,
	itools

Package: task-arabic-desktop
Architecture: all
Description: Arabic desktop
 This task localises the desktop in Arabic.
Depends: ${misc:Depends}, 
Recommends:
	ttf-kacst,
	ttf-farsiweb,
	iceweasel-l10n-ar,
	libreoffice-l10n-ar,
	hunspell-ar

Package: task-arabic-kde-desktop
Architecture: all
Description: Arabic KDE desktop
 This task localises the KDE desktop in Arabic.
Depends: ${misc:Depends}, 
Recommends:
	kde-l10n-ar

Package: task-asturian
Architecture: all
Description: Asturian environment
 This task installs packages and documentation in Asturian
 to help Asturian speaking people use Debian.
Depends: ${misc:Depends}, 
Recommends:

Package: task-asturian-desktop
Architecture: all
Description: Asturian desktop
 This task localises the desktop in Asturian.
Depends: ${misc:Depends}, 
Recommends:
	libreoffice-l10n-ast

Package: task-basque
Architecture: all
Description: Basque environment
 This task installs packages and documentation in Basque
 to help Basque speaking people use Debian.
Depends: ${misc:Depends}, 
Recommends:
	aspell-eu-es

Package: task-basque-desktop
Architecture: all
Description: Basque desktop
 This task localises the desktop in Basque.
Depends: ${misc:Depends}, 
Recommends:
	iceweasel-l10n-eu,
	libreoffice-l10n-eu,
	libreoffice-help-eu

Package: task-basque-kde-desktop
Architecture: all
Description: Basque KDE desktop
 This task localises the KDE desktop in Basque.
Depends: ${misc:Depends}, 
Recommends:
	kde-l10n-eu

Package: task-belarusian
Architecture: all
Description: Belarusian environment
 This task installs packages and documentation in Belarusian
 to help Belarusian speaking people use Debian.
Depends: ${misc:Depends}, 
Recommends:

Package: task-belarusian-desktop
Architecture: all
Description: Belarusian desktop
 This task localises the desktop in Belarusian.
Depends: ${misc:Depends}, 
Recommends:
	libreoffice-l10n-be-by,
	iceweasel-l10n-be

Package: task-belarusian-kde-desktop
Architecture: all
Description: Belarusian KDE desktop
 This task localises the KDE desktop in Belarusian.
