## tasksel 3.08

=== debian/changelog ===
tasksel (3.08) unstable; urgency=low

  [ Christian Perrier ]
  * Switch from kerneloops to kerneloops-applet. Closes: #650960

  [ Joey Hess ]
  * Remove broffice.org from pt_BR desktop, package is removed from debian.

  [ Theppitak Karoonboonyanan ]
  * Update task-thai-gnome-desktop and task-thai-kde-desktop:
    - task-thai-gnome-desktop: Add gtk3-im-libthai
    - task-thai-kde-desktop: Add libthai-dev (which enhances libkhtml5)
  
  [ Changwoo Ryu ]
  * Update task-korean-desktop and task-korean-gnome-desktop:
    - Add ibus-gtk3 to task-korean-gnome-desktop
    - Replace ttf-* with fonts-*

  [ Joey Hess ]
  * Use dpkg-query to list packages, rather than parsing the status file.
  * Deal with Description-md5 fields in apt-cache show output.
    Closes: #657389

 -- Joey Hess <joeyh@debian.org>  Sun, 29 Jan 2012 17:48:39 -0400
