## tasksel 3.14.1

=== debian/changelog ===
tasksel (3.14.1) stable; urgency=low

  * Fix broken test for non-desktop systems which caused the ssh server task
    to be selected by default on systems with a desktop.

 -- Joey Hess <joeyh@debian.org>  Tue, 07 May 2013 13:57:43 -0400

tasksel (3.14+nmu2) unstable; urgency=low

  * Downgrade network-manager-gnome from Depends to Recommends. It's
    only available on Linux, so let's avoid making task-gnome-desktop
    uninstallable on kfreebsd-*. Closes: #704748
  * Update Dutch translation (Thijs Kinkhorst).

 -- Cyril Brulebois <kibi@debian.org>  Mon, 15 Apr 2013 20:05:02 +0200

tasksel (3.14+nmu1) unstable; urgency=low

  [ Julien Cristau ]
  * Non-maintainer upload.

  [ Joey Hess ]
  * Fix typo in changelog. Closes: #694894
  
  [ Christian Perrier ]
  * Add Depends to network-manager-gnome on task-gnome-desktop
    Closes: #697868

 -- Julien Cristau <jcristau@debian.org>  Thu, 31 Jan 2013 19:19:25 +0100

tasksel (3.14) unstable; urgency=low

  [ Joey Hess ]
  * Work around dpkg's failure to replace directory with symlink on upgrade.
    Only tasksel-data was affected. Closes: #687858

  [ Christian Perrier ]
  * As suggested by GNOME maintainers, drop system-config-printer from
    the task-gnome-desktop task as the GNOME control center now
    includes a configuration tool for cups. Closes: #691334
  * Add myself to Uploaders
  * Drop duplicate iceweasel-l10n-fa from task-persian-desktop

 -- Christian Perrier <bubulle@debian.org>  Tue, 30 Oct 2012 19:09:30 +0100

tasksel (3.13+nmu1) unstable; urgency=low

  * Non-maintainer upload.
  * Depend on perl-base >= 5.14.0 (closes: #690594).

 -- Michael Gilbert <mgilbert@debian.org>  Thu, 25 Oct 2012 13:59:44 -0400

tasksel (3.13) unstable; urgency=low

  [ Christian Perrier ]
  * Replace gdm3 by lightdm in lxde-desktop task. Closes: #683345

  [ Joey Hess ]
  * Don't force browser-plugin-gnash onto desktops that don't themselves
    pull it in. This means gnome still installs it, but kde, xfce,
    and lxde do not. Closes: #655841
  * Use dh_perl -d, as tasksel does not need perl, only perl-base.
    Closes: #686021
  * Add gstreamer0.10-alsa to task-xfce-desktop, as a workaround for
    bug #651495, which was resulting in the mixer being broken.
  
  [ Debconf translations ]
  * Brazilian Portuguese (Adriano Rafael Gomes).  Closes: #685181

 -- Joey Hess <joeyh@debian.org>  Sun, 02 Sep 2012 20:51:05 -0400

tasksel (3.12) unstable; urgency=low

  [ Andrew Lee (李健秋) ]
  * Really depending on gdm3 in task-lxde-desktop (Closes: #680519).

  [ Joey Hess ]
  * xfce: Use network-manager-gnome.
    Rationale: Everyone I've polled who has installed xfce for nontechnical
    users has had to switch out wicd due to its non-user-friendliness,
    which includes not managing wireless interfaces at all by default,
    and presenting the user with a screen full of dozens of configuration
    settings when a network requires a password.
    Technical users who want wicd will have no difficulty installing it.

  [ Christian Perrier ]
  * Use xul-ext-mozvoikko instead of transitional mozvoikko in
    task-finnish-desktop. Closes: #680952
  * Remove freedict-*, openddict-* and texlive-* from bosnian,
    croatian and serbian tasks. Thanks to Josip Rodin for
    reporting and investigating. Closes: #565209
  * Replace apache2-mpm-prefork by apache2. Closes: #678749
  * Replace qpopper and uw-imapd by dovecot-{pop3d,imapd} in the mail server
    task. Closes: #560696
  * Create en "english" task with both British and American
    dictionaries and word lists. Consequently drop the "british"
    task and modify british-desktop. Closes: #545047
  * Changes related to hunspell used in favoir of aspell:
    - Add hunspell-ro to romanian-desktop. Closes: #583195
    - Add hunspell-be to belarusian-desktop.
    - Replace myspell-en-us by hunspell-en-us in *-desktop.
    - Use hunspell-gl-es instead of hunspell-gl in galician-desktop.
    - Add hunspell-ml to malayalam-desktop.
    - Replace myspell-ru by hunspell-ru in russian-desktop.
    - Replace myspell-fr-gut by hunspell-fr in french-desktop.
    - Add hunspell-ne to nepali-desktop.
    - Add hunspell-sr to serbian-desktop.
    - Add hunspell-vi to vietnamese-desktop.
    - Add hunspell-eu-es to basque-desktop.
  * Remove the mention that poppler-data is non-free in
    tasks descriptions.
  * Replace synaptic by apper in kde-desktop. Closes: #681964

  [ Translations of programs ]
  * Uyghur added. Closes: #627005

  [ Translations of debconf templates ]
  * Uyghur added. Closes: #627005

  [ Translations of tasks ]
  * Uyghur added. Closes: #627005
  * Fix an horrible grammar error in the translation of
    "standard" in French. Thanks to Cyril Brulebois for
    hitting me with a cluebat.

  [ Aron Xu ]
  * Update input method support and Chinese tasks. Closes: #681466

  [ Joey Hess ]
  * Add synaptic to task-gnome-desktop. It had been pulled in by
    nautilus, but that Recommends has been dropped.

 -- Joey Hess <joeyh@debian.org>  Sat, 21 Jul 2012 19:41:30 -0400

tasksel (3.11) unstable; urgency=low

  [ Josh Triplett ]
  * Drop cpufrequtils from laptop and desktop tasks
    Closes: #678726
  * Drop kerneloops-applet as it is no longer working
    because the site it submits to is down.
    Closes: #678756
  * Replace hpijs, cups-driver-gutenprint, and foo2zjs by
    printer-driver-all in desktop and print-server tasks
    Closes: #678794

  [ Christian Perrier ]
  * Changes related to LibreOffice packages and l10n:
    - Replace libreoffice-l10n-be-by by libreoffice-l10n-be
    - Add libreoffice-l10n-pt-br to Brazilian Portuguese desktop task
    - Replace libreoffice-l10n-gu-in by libreoffice-l10n-gu
    - Add libreoffice-l10n-is to Icelandic desktop task
    - Replace libreoffice-l10n-ml-in by libreoffice-l10n-ml
    - Replace libreoffice-l10n-mr-in by libreoffice-l10n-mr
    - Add libreoffice-l10n-ug to Uyghur desktop task
    - Replace libreoffice-l10n-ta-in by libreoffice-l10n-ta

