=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: tasks
 Priority: optional
 Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
-Uploaders: Joey Hess <joeyh@debian.org>, Otavio Salvador <otavio@debian.org>
-Standards-Version: 3.9.2
-Build-Depends: po-debconf, debhelper (>= 8), gettext, dpkg-dev (>= 1.9.0)
+Uploaders: Joey Hess <joeyh@debian.org>, Otavio Salvador <otavio@debian.org>, Christian Perrier <bubulle@debian.org>
+Standards-Version: 3.9.3
+Build-Depends: po-debconf, debhelper (>= 9), gettext, dpkg-dev (>= 1.9.0)
 Vcs-Git: git://git.debian.org/git/tasksel/tasksel.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=tasksel/tasksel.git
 
@@ -13,7 +13,7 @@
 Priority: important
 Architecture: all
 Pre-Depends: debconf (>= 1.5.34) | cdebconf (>= 0.106)
-Depends: ${misc:Depends}, ${perl:Depends}, liblocale-gettext-perl, aptitude (>= 0.2.15-1), tasksel-data
+Depends: ${misc:Depends}, liblocale-gettext-perl, apt, tasksel-data, perl-base (>= 5.14.0-1)
 Conflicts: debconf (<< 1.4.27), base-config (<< 2.32)
 Description: Tool for selecting tasks for installation on Debian systems
  This package provides 'tasksel', a simple interface for users who
@@ -41,13 +41,54 @@
 	desktop-base,
 	menu
 Recommends:
-# The default desktop is gnome, but any can be used with this task.
+# One of the actual desktop tasks is needed to get a full desktop environment.
+# The order here is significant when installing this task manually;
+# when tasksel installs this task it instead selects one of these based
+# on the tasksel/desktop debconf setting.
 	task-gnome-desktop | task-kde-desktop | task-lxde-desktop | task-xfce-desktop,
+# For use by third-party apps.
+	xdg-utils,
+# mdns/zeroconf stuff
+	avahi-daemon,
+	libnss-mdns,
+# desktop machines might not be up 24/7
+	anacron,
+# 3d acceleration (with free drivers)
+	libgl1-mesa-dri,
+# Make sure that CDs etc can be ejected. May not be installed by d-i.
+	eject,
+# sound
+	alsa-utils,
+	alsa-base,
+# ensure pm-utils is available
+	pm-utils
+
+Package: task-gnome-desktop
+Architecture: all
+Description: GNOME desktop environment
+ This task package is used to install the Debian desktop, featuring
+ the GNOME desktop environment, and with other packages that Debian users
+ expect to have available on the desktop.
+Depends: ${misc:Depends}, 
+	task-desktop,
+# only depend on a very minimal gnome desktop, to ensure it fits on CD1
+	gnome-core,
+Recommends:
+# The full gnome desktop environment should be included if possible
+# even if the larger gnome metapackage doesn't fit.
+	gnome,
+# Network management (available on Linux only).
+	network-manager-gnome,
+# GNOME support in LibreOffice
+	libreoffice-gnome,
+	libreoffice-evolution,
+# temporarily moved from task-desktop due to #525077
+	gimp,
+# Package management.
+	synaptic,
 # firefox (ne iceweasel) is the most popular web browser at the moment,
 # although both gnome and kde offer their own too
 	iceweasel,
-# the gimp is the best image editor, no matter the desktop
-	gimp,
 # libreoffice is the best word processor / office suite at the moment
 	libreoffice,
 	libreoffice-gcj,
@@ -56,64 +97,9 @@
 # make thesaurus work
 	mythes-en-us,
 # make spellchecker work
-	myspell-en-us,
+	hunspell-en-us,
 # make hyphenation work
 	hyphen-en-us,
-# For use by third-party apps.
-	xdg-utils,
-# mdns/zeroconf stuff
-	avahi-daemon,
-	libnss-mdns,
-# desktop machines might not be up 24/7
-	anacron,
-# The following packages are the same as the packages in the
-# print-server task and provide printing via CUPS.
-	cups,
-	cups-client,
-	cups-bsd,
-	foomatic-db-engine,
-	cups-driver-gutenprint,
-	hpijs,
-	hplip,
-	hp-ppd,
-	foo2zjs,
-# gui for configuration of the print server
-	system-config-printer,
-# CPU frequency scaling
-	cpufrequtils,
-# Warn about and allow reporting kernel oopses.
-	kerneloops-applet,
-# 3d acceleration (with free drivers)
-	libgl1-mesa-dri,
-# Make sure that CDs etc can be ejected. May not be installed by d-i.
-	eject,
-# sound
-	alsa-utils,
-	alsa-base,
-# flash -- Note that gnome recommends browser-plugin-gnash;
-# if this is changed here to a different flash player, it should
-# also be changed there.
-	browser-plugin-gnash,
-# ensure pm-utils is available
-	pm-utils
-
-Package: task-gnome-desktop
-Architecture: all
-Description: GNOME desktop environment
- This task package is used to install the Debian desktop, featuring
- the GNOME desktop environment, and with other packages that Debian users
- expect to have available on the desktop.
-Depends: ${misc:Depends}, 
-	task-desktop,
-# only depend on a very minimal gnome desktop, to ensure it fits on CD1
-	gnome-core
-Recommends:
-# The full gnome desktop environment should be included if possible
-# even if the larger gnome metapackage doesn't fit.
-	gnome,
-# GNOME support in LibreOffice
-	libreoffice-gnome,
-	libreoffice-evolution
 
 Package: task-kde-desktop
 Architecture: all
@@ -144,7 +130,27 @@
 # no root password. It is not enabled by default.
 	kdesudo,
 # KDE libreoffice integration
-	libreoffice-kde
+	libreoffice-kde,
+# Package management.
+	apper,
+# temporarily moved from task-desktop due to #525077
+	gimp,
+# firefox (ne iceweasel) is the most popular web browser at the moment,
+# although both gnome and kde offer their own too
+	iceweasel,
+# libreoffice is the best word processor / office suite at the moment
+	libreoffice,
+	libreoffice-gcj,
+# make help menu work
+	libreoffice-help-en-us,
+# make thesaurus work
+	mythes-en-us,
+# make spellchecker work
+	hunspell-en-us,
+# make hyphenation work
+	hyphen-en-us,
+# gui for configuration of the print server
+	system-config-printer
 
 Package: task-lxde-desktop
 Architecture: all
@@ -154,22 +160,38 @@
  expect to have available on the desktop.
 Depends: ${misc:Depends}, 
 	task-desktop,
-# The basics of lxde, not the whole thing.
-	lxde-core,
-# A display manager is a recommend of lxde,
-# but put here to ensure it's available
-	xdm
-Recommends:
-	lxde,
+	lightdm,
+	lxde
+Recommends:
 	lxtask,
 	lxlauncher,
-	xsane
+	xsane,
+# libreoffice widgets using just gtk
+	libreoffice-gtk,
+# Package management.
+	synaptic,
+# firefox (ne iceweasel) is the most popular web browser at the moment,
+# although both gnome and kde offer their own too
+	iceweasel,
+# libreoffice is the best word processor / office suite at the moment
+	libreoffice,
+	libreoffice-gcj,
+# make help menu work
+	libreoffice-help-en-us,
+# make thesaurus work
+	mythes-en-us,
+# make spellchecker work
+	hunspell-en-us,
+# make hyphenation work
+	hyphen-en-us,
+# gui for configuration of the print server
+	system-config-printer
 
 Package: task-xfce-desktop
 Architecture: all
-Description: XFCE desktop environment
+Description: Xfce desktop environment
  This task package is used to install the Debian desktop, featuring
- the XFCE desktop environment, and with other packages that Debian users
+ the Xfce desktop environment, and with other packages that Debian users
  expect to have available on the desktop.
 Depends: ${misc:Depends}, 
 	task-desktop,
@@ -201,7 +223,27 @@
 # icon theme
 	tango-icon-theme,
 # network management
-	wicd
+	network-manager-gnome,
+# package management
+	synaptic,
+# firefox (ne iceweasel) is the most popular web browser at the moment,
+# although both gnome and kde offer their own too
+	iceweasel,
+# libreoffice is the best word processor / office suite at the moment
+	libreoffice,
+	libreoffice-gcj,
+# make help menu work
+	libreoffice-help-en-us,
+# make thesaurus work
+	mythes-en-us,
+# make spellchecker work
+	hunspell-en-us,
+# make hyphenation work
+	hyphen-en-us,
+# gui for configuration of the print server
+	system-config-printer,
+# workaround #651495
+	gstreamer0.10-alsa
 
 Package: task-laptop
 Architecture: all
@@ -211,13 +253,11 @@
 	anacron
 Recommends:
 	acpid,
-	apmd,
 	acpi,
 	acpi-support,
 	pcmciautils,
 	wireless-tools,
 	wpasupplicant,
-	cpufrequtils,
 	avahi-autoipd,
 	bluetooth,
 	powertop,
@@ -229,12 +269,9 @@
  This task selects packages useful for a general purpose web server
  system.
 Depends: ${misc:Depends}, 
-	apache2-mpm-prefork
+	apache2
 Recommends:
 	apache2-doc,
-	libapache2-mod-php5,
-	libapache2-mod-perl2,
-	libapache2-mod-python,
 	analog
 
 Package: task-mail-server
@@ -245,15 +282,14 @@
 Depends: ${misc:Depends}, 
 	exim4
 Recommends:
-# HELP: What's a good pop server?
-	qpopper,
+	dovecot-imapd,
+	dovecot-pop3d,
 	mailx,
 	mutt,
 	exim4-daemon-light,
 	exim4-config,
 	procmail,
 	mailagent,
-	uw-imapd,
 # HELP: what about some webmail thing?
 	spamassassin,
 	sa-exim,
@@ -281,13 +317,9 @@
 	cups-bsd
 Recommends:
 	foomatic-db-engine,
-	cups-driver-gutenprint,
-	hpijs,
+	printer-driver-all,
 	hplip,
 	hp-ppd,
-	foo2zjs,
-# Note that this is not included in the desktop task, since it only
-# supports high-end postcript printers.
 	openprinting-ppds
 
 Package: task-ssh-server
@@ -298,6 +330,7 @@
 Depends: ${misc:Depends}, 
 	openssh-server
 Recommends:
+	openssh-client
 
 Package: task-database-server
 Architecture: all
@@ -334,17 +367,6 @@
 	winbind,
 	smartmontools
 
-Package: task-finnish
-Architecture: all
-Description: Finnish environment
- This task installs packages and documentation in Finnish
- to help Finnish speaking people use Debian.
-Depends: ${misc:Depends}, 
-Recommends:
-	tmispell-voikko,
-	voikko-fi,
-	libenchant-voikko
-
 Package: task-albanian-desktop
 Architecture: all
 Description: Albanian desktop
@@ -370,7 +392,12 @@
 Depends: ${misc:Depends}, 
 	ttf-sil-abyssinica
 Recommends:
-	scim-tables-additional
+# Move to fcitx from scim for the latter has gone from archive
+	fcitx,
+	fcitx-table-amharic,
+	fcitx-frontend-gtk2,
+	fcitx-frontend-gtk3,
+	fcitx-config-gtk
 
 Package: task-amharic-kde-desktop
 Architecture: all
@@ -378,6 +405,8 @@
  This task localises the KDE desktop in Amharic.
 Depends: ${misc:Depends}, 
 Recommends:
+	fcitx-frontend-qt4,
+	kde-config-fcitx
 
 Package: task-arabic
 Architecture: all
@@ -427,7 +456,8 @@
  This task localises the desktop in Asturian.
 Depends: ${misc:Depends}, 
 Recommends:
-	libreoffice-l10n-ast
+	libreoffice-l10n-ast,
+	iceweasel-l10n-ast
 
 Package: task-basque
 Architecture: all
@@ -435,44 +465,3 @@
  This task installs packages and documentation in Basque
  to help Basque speaking people use Debian.
 Depends: ${misc:Depends}, 
-Recommends:
-	aspell-eu-es
-
-Package: task-basque-desktop
-Architecture: all
-Description: Basque desktop
- This task localises the desktop in Basque.
-Depends: ${misc:Depends}, 
-Recommends:
-	iceweasel-l10n-eu,
-	libreoffice-l10n-eu,
-	libreoffice-help-eu
-
-Package: task-basque-kde-desktop
-Architecture: all
-Description: Basque KDE desktop
- This task localises the KDE desktop in Basque.
-Depends: ${misc:Depends}, 
-Recommends:
-	kde-l10n-eu
-
-Package: task-belarusian
-Architecture: all
-Description: Belarusian environment
- This task installs packages and documentation in Belarusian
- to help Belarusian speaking people use Debian.
-Depends: ${misc:Depends}, 
-Recommends:
-
-Package: task-belarusian-desktop
-Architecture: all
-Description: Belarusian desktop
- This task localises the desktop in Belarusian.
-Depends: ${misc:Depends}, 
-Recommends:
-	libreoffice-l10n-be-by,
-	iceweasel-l10n-be
-
-Package: task-belarusian-kde-desktop
-Architecture: all
-Description: Belarusian KDE desktop
