## tasksel 3.14.1+nmu1

=== debian/changelog ===
tasksel (3.14.1+nmu1) stable; urgency=medium

  * Non-maintainer upload.
  * Cherry-picked task-mate-desktop from tasksel-3.29

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Thu, 18 Dec 2014 16:25:50 +0100
