=== debian/control ===
--- 
+++ 
@@ -45,7 +45,7 @@
 # The order here is significant when installing this task manually;
 # when tasksel installs this task it instead selects one of these based
 # on the tasksel/desktop debconf setting.
-	task-gnome-desktop | task-kde-desktop | task-lxde-desktop | task-xfce-desktop,
+	task-gnome-desktop | task-kde-desktop | task-lxde-desktop | task-xfce-desktop | task-mate-desktop,
 # For use by third-party apps.
 	xdg-utils,
 # mdns/zeroconf stuff
@@ -245,6 +245,39 @@
 # workaround #651495
 	gstreamer0.10-alsa
 
+Package: task-mate-desktop
+Architecture: all
+Description: MATE
+ This task package is used to install the Debian desktop, featuring
+ the MATE desktop environment, and with other packages that Debian users
+ expect to have available on the desktop.
+Depends: ${misc:Depends},
+	task-desktop,
+	mate-desktop-environment,
+	lightdm,
+Recommends:
+# temporarily moved from task-desktop due to #525077
+	gimp,
+# Package management.
+	synaptic,
+# firefox (ne iceweasel) is the most popular web browser at the moment,
+# although both gnome and kde offer their own too
+	iceweasel,
+# libreoffice is the best word processor / office suite at the moment
+	libreoffice,
+# make help menu work
+	libreoffice-help-en-us,
+# make thesaurus work
+	mythes-en-us,
+# make spellchecker work
+	hunspell-en-us,
+# make hyphenation work
+	hyphen-en-us,
+# we need a working network setup at least
+	network-manager-gnome,
+# orca works with mate, adding accessability
+	gnome-orca,
+
 Package: task-laptop
 Architecture: all
 Description: Laptop
@@ -425,43 +458,3 @@
 Package: task-arabic-desktop
 Architecture: all
 Description: Arabic desktop
- This task localises the desktop in Arabic.
-Depends: ${misc:Depends}, 
-Recommends:
-	ttf-kacst,
-	ttf-farsiweb,
-	iceweasel-l10n-ar,
-	libreoffice-l10n-ar,
-	hunspell-ar
-
-Package: task-arabic-kde-desktop
-Architecture: all
-Description: Arabic KDE desktop
- This task localises the KDE desktop in Arabic.
-Depends: ${misc:Depends}, 
-Recommends:
-	kde-l10n-ar
-
-Package: task-asturian
-Architecture: all
-Description: Asturian environment
- This task installs packages and documentation in Asturian
- to help Asturian speaking people use Debian.
-Depends: ${misc:Depends}, 
-Recommends:
-
-Package: task-asturian-desktop
-Architecture: all
-Description: Asturian desktop
- This task localises the desktop in Asturian.
-Depends: ${misc:Depends}, 
-Recommends:
-	libreoffice-l10n-ast,
-	iceweasel-l10n-ast
-
-Package: task-basque
-Architecture: all
-Description: Basque environment
- This task installs packages and documentation in Basque
- to help Basque speaking people use Debian.
-Depends: ${misc:Depends},
